Skip to main content
GET
/
api
/
v1
/
ssf-receiver-streams
/
{stream_id}
/
events
List
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.SSFReceiverEvent.List(ctx, operations.C1APISSFReceiverV1SSFReceiverEventServiceListRequest{
        StreamID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.SSFReceiverEventServiceListResponse != nil {
        // handle response
    }
}
{
  "list": [
    {
      "canonicalType": "SSF_CANONICAL_EVENT_TYPE_UNSPECIFIED",
      "id": "<string>",
      "matchMethod": "SSF_SUBJECT_MATCH_METHOD_UNSPECIFIED",
      "matchedUserId": "<string>",
      "outcome": "SSF_EVENT_OUTCOME_UNSPECIFIED",
      "outcomeDetail": "<string>",
      "receivedAt": "2023-11-07T05:31:56Z",
      "sessionsRevoked": 123,
      "setJti": "<string>",
      "streamId": "<string>",
      "wireEventProfile": "<string>",
      "wireEventType": "<string>",
      "wireInitiatingEntity": "<string>",
      "wireReasonAdmin": "<string>",
      "wireSubjectFormat": "<string>",
      "wireSubjectIdentifier": "<string>"
    }
  ],
  "nextPageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

stream_id
string
required

The ID of the SSF receiver stream to list events for.

Query Parameters

page_size
integer<int32>

Maximum number of events to return per page.

page_token
string

Token from a previous ListResponse to fetch the next page of results.

Response

200 - application/json

SSFReceiverEventServiceListResponse contains a page of received SSF events.

SSFReceiverEventServiceListResponse contains a page of received SSF events.

list
Ssf Receiver Event · object[] | null

The SSF events in the current page.

nextPageToken
string

Token to retrieve the next page. Empty when there are no more results.